Webhooks Management
Test the webhook configuration by sending a test message
Scopes: webhook:create
POST
/
v0
/
tenant
/
webhook
/
test
Test the webhook configuration by sending a test message
curl --request POST \
--url https://api.sandbox.getasset.com/v0/tenant/webhook/test \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"headers": {
"Authorization": "Bearer 1234567890"
}
}
'import requests
url = "https://api.sandbox.getasset.com/v0/tenant/webhook/test"
payload = {
"url": "<string>",
"headers": { "Authorization": "Bearer 1234567890" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', headers: {Authorization: 'Bearer 1234567890'}})
};
fetch('https://api.sandbox.getasset.com/v0/tenant/webhook/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Response
Successful Response
⌘I
Test the webhook configuration by sending a test message
